[Setup]
AppName=massxpert

; Set version number below
#define public version "6.0.0"
AppVersion={#version}

#define public arch "mingw64"
#define public platform "win7+"
#define sourceDir "C:\msys64\home\polipo\devel\msxpertsuite\development"

; Set version number below
AppVerName=massXpert version {#version}
DefaultDirName={pf}\massXpert
DefaultGroupName=massXpert
OutputDir="C:\msys64\home\polipo\devel\msxpertsuite\massxpert\development\winInstaller"

; Set version number below
OutputBaseFilename=massXpert-{#arch}-{#platform}-v{#version}-setup

; Set version number below
OutputManifestFile=massXpert-{#arch}-{#platform}-v{#version}-setup-manifest.txt
ArchitecturesAllowed=x64
ArchitecturesInstallIn64BitMode=x64

LicenseFile="{#sourceDir}\doc\COPYING"
AppCopyright="Copyright (C) 2016-2020 Filippo Rusconi"

AllowNoIcons=yes
AlwaysShowComponentsList=yes
AllowRootDirectory=no
AllowCancelDuringInstall=yes
AppComments="massXpert, by Filippo Rusconi"
AppContact="Filippo Rusconi, PhD, Scientist at CNRS, France"
CloseApplications=yes
CreateUninstallRegKey=yes
DirExistsWarning=yes
WindowResizable=yes
WizardImageFile="{#sourceDir}\images\splashscreen-innosetup.bmp"
WizardImageStretch=yes

[Dirs]
Name: "{app}\data"
Name: "{app}\doc"

[Files]
Source: "C:\msXpertSuite-libDeps\*"; DestDir: {app}; Flags: ignoreversion recursesubdirs;

Source: "{#sourceDir}\doc\history.html"; DestDir: {app}\doc;
Source: "{#sourceDir}\doc\history.odt"; DestDir: {app}\doc;
Source: "{#sourceDir}\doc\readme.txt"; DestDir: {app}\doc;

Source: "{#sourceDir}\..\build-area\massxpert\massxpert.exe"; DestDir: {app};
Source: "{#sourceDir}\massxpert\data\*"; DestDir: {app}\data; Flags: recursesubdirs;
; The PDF version of the user manual
Source: "{#sourceDir}\massxpert\user-manual\massxpert-doc.pdf"; DestDir: {app}\doc\minexpert2;
; The HTML version of the user manual
Source: "{#sourceDir}\massxpert\user-manuals\massxpert\build\massxpert-user-manual\html\massxpert-user-manual\*"; DestDir: {app}\doc\massxpert\html; Flags: ignoreversion recursesubdirs;

[Icons]
Name: "{group}\massXpert"; Filename: "{app}\massxpert.exe"; WorkingDir: "{app}"
Name: "{group}\Uninstall massXpert"; Filename: "{uninstallexe}"

[Run]
Filename: "{app}\massxpert.exe"; Description: "Launch massXpert"; Flags: postinstall nowait unchecked
